summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Chris Abela2012-12-09 17:00:50 +0100
committer dsomero2012-12-11 22:21:58 +0100
commitaf2c735fb77fece67b8b48239ca2ebaf3a8882d9 (patch)
tree16003e0d26f6a431095ea82395721e0b459e4a16
parentfeca38c3481b4ccf4b82d49ed7584a79646f8864 (diff)
downloadslackbuilds-af2c735fb77fece67b8b48239ca2ebaf3a8882d9.tar.gz
misc/asterixInspector: Added (viever for EUROCONTROL ASTERIX files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--misc/asterixInspector/README4
-rw-r--r--misc/asterixInspector/asterixInspector.SlackBuild80
-rw-r--r--misc/asterixInspector/asterixInspector.desktop10
-rw-r--r--misc/asterixInspector/asterixInspector.info10
-rw-r--r--misc/asterixInspector/doinst.sh13
-rw-r--r--misc/asterixInspector/slack-desc19
6 files changed, 136 insertions, 0 deletions
diff --git a/misc/asterixInspector/README b/misc/asterixInspector/README
new file mode 100644
index 0000000000..f3b1a5edac
--- /dev/null
+++ b/misc/asterixInspector/README
@@ -0,0 +1,4 @@
+AsterixInspector is a tool to display contents of Asterix data files. Asterix
+is a binary format for information exchange in aviation. The Asterix standard
+specification is beeing developed and endorsed by Eurocontrol, specification
+documents are available at http://www.eurocontrol.int/asterix.
diff --git a/misc/asterixInspector/asterixInspector.SlackBuild b/misc/asterixInspector/asterixInspector.SlackBuild
new file mode 100644
index 0000000000..2622fdaa80
--- /dev/null
+++ b/misc/asterixInspector/asterixInspector.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for asterixInspector
+
+# Copyright 2012 Chris Abela, Malta
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=asterixInspector
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/{bin,share/{applications,pixmaps}}
+cp -a asterixInspector $PKG/usr/bin
+cat images/radar.svg > $PKG/usr/share/pixmaps/asterixInspector.svg
+cat $CWD/asterixInspector.desktop > $PKG/usr/share/applications/asterixInspector.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changelog LICENSE README examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/asterixInspector/asterixInspector.desktop b/misc/asterixInspector/asterixInspector.desktop
new file mode 100644
index 0000000000..50e1634eba
--- /dev/null
+++ b/misc/asterixInspector/asterixInspector.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=asterixInspector
+GenericName=A viever for EUROCONTROL ASTERIX files
+Categories=Utility;Education;
+Exec=asterixInspector
+Icon=asterixInspector
+Terminal=false
+Type=Application
+StartupNotify=true
+
diff --git a/misc/asterixInspector/asterixInspector.info b/misc/asterixInspector/asterixInspector.info
new file mode 100644
index 0000000000..8da7101e0c
--- /dev/null
+++ b/misc/asterixInspector/asterixInspector.info
@@ -0,0 +1,10 @@
+PRGNAM="asterixInspector"
+VERSION="0.9.2"
+HOMEPAGE="http://asterix.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/asterix/files/asterixInspector-0.9.2.tar.bz2"
+MD5SUM="66a470b3ece9532ab22d639e92bef94a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Chris Abela"
+EMAIL="kristofru@gmail.com"
diff --git a/misc/asterixInspector/doinst.sh b/misc/asterixInspector/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/misc/asterixInspector/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/asterixInspector/slack-desc b/misc/asterixInspector/slack-desc
new file mode 100644
index 0000000000..6055326a5f
--- /dev/null
+++ b/misc/asterixInspector/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+asterixInspector: asterixInspector (A viever for EUROCONTROL ASTERIX files)
+asterixInspector:
+asterixInspector: displays contents of files which are in EUROCONTROL ASTERIX format.
+asterixInspector: ASTERIX is a binary data exchange format used in aviation,
+asterixInspector: standardized by EUROCONTROL.
+asterixInspector:
+asterixInspector: Homepage: http://asterix.sourceforge.net
+asterixInspector:
+asterixInspector:
+asterixInspector:
+asterixInspector: